This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 842544 - [SearchTestPlan] Code leakage when searching test plan only by "Acceptance" of plan type field
[SearchTestPlan] Code leakage when searching test plan only by "Acceptance" o...
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.8.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 03:20 EDT by jihu
Modified: 2016-06-23 00:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.8.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
searching plan error screenshot (237.12 KB, image/png)
2012-07-24 03:20 EDT, jihu
no flags Details

  None (edit)
Description jihu 2012-07-24 03:20:38 EDT
Created attachment 599929 [details]
searching plan error screenshot

Description of problem:

Page will pop up a dialog box with some code leakage When searching a test plan with the value "Acceptance" of plan type field.

Version-Release number of selected component (if applicable):

TCMS 3.8.0-1,
FF 13,Chrome 20

How reproducible:
100%

Steps to Reproduce:
1.Click "PLANNING" menu.
2.Click "Search Plans" in the drop down submenu.
3.Choose "Acceptance" of Plan Type field, and keep others fields blank.
4.Click "Search" button.
  
Actual results:
It pops up a dialog box with some codes.please refer screenshot.

Expected results:
It should display related plans or return 0 value.
Comment 1 Xiangyang Chu 2012-07-26 03:59:43 EDT
It caused by a server side json format error.
Have been fixed, can be verified in next build.
Thanks.
Comment 2 xubai 2012-07-31 02:22:17 EDT
Verify 3.8.0-2 on stage --> PASS

Verify steps:
1.Click "PLANNING" menu.
2.Click "Search Plans" in the drop down submenu.
3.Choose "Acceptance" of Plan Type field, and keep others fields blank.
4.Click "Search" button.

Actual results:
It shows related plans or return 0 value.

Note You need to log in before you can comment on or make changes to this bug.